Campaigns
Campaigns List
List every campaign belonging to the store.
Authorization
oauth2 campaigns:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:read
Query Parameters
created_date_from?string
Created on or after this date (YYYY-MM-DD, UTC).
Format
datecreated_date_to?string
Created on or before this date (YYYY-MM-DD, UTC).
Format
datecurrency?string
Default currency, as an ISO 4217 code (e.g. USD).
cursor?string
The pagination cursor value.
language?string
Campaign language, as an ISO 639-1 code (e.g. en).
name?string
Campaign name contains this text, case-insensitive.
page_size?integer
Number of results to return per page.
updated_date_from?string
Last updated on or after this date (YYYY-MM-DD, UTC).
Format
dateupdated_date_to?string
Last updated on or before this date (YYYY-MM-DD, UTC).
Format
dateHeader Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X GET "https://example.com/campaigns/" \ -H "X-29next-API-Version: unstable"{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"created_at": "2019-08-24T14:15:22Z",
"currency": "str",
"id": 0,
"language": "str",
"name": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}